%define pear_name HTML_Common

Name:		php-pear-%{pear_name}
Version: 	1.2.4
Release: 	1.ru
Summary: 	Base class for other HTML classes.
Group:		Development/Libraries
License:	PHP License
URL:		http://pear.php.net/package/HTML_Common
Source:		%{pear_name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
BuildRequires:	php-pear >= 1.4.0
Requires: 	php >= 4.0.0, php-pear >= 1.4.0


%description
The PEAR::HTML_Common package provides methods for html code display and attributes handling.
* Methods to set, remove, update html attributes.
* Handles comments in HTML code.
* Handles layout, tabs, line endings for nicer HTML code.


%prep
%setup -q -c

mv package.xml %{pear_name}-%{version}/%{pear_name}.xml


%build
# Nothing to do here


%install
rm -rf %{buildroot}

pushd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{pear_name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 HTML_Common.xml %{buildroot}%{pear_xmldir}

popd


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root)
%{pear_phpdir}/HTML/*
%doc %{pear_xmldir}/%{pear_name}.xml


%changelog
* Tue Nov 11 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2.4-1
- Initial build.
